> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Sub-account Limit

> Deletes the limit for the specified sub-account.
After a successful deletion, the specified sub-account will be
limited to the parent account's limit.




## OpenAPI

````yaml /email-api/api-reference/openapi.yaml delete /sub-account/{handle}/limit
openapi: 3.0.0
info:
  contact:
    email: support@mailchannels.com
    name: MailChannels Corporation
  description: >
    This is the API reference for Email API. Here, you'll find more detailed
    information on every endpoint, including parameters, response formats, and
    error codes.
  title: Email API
  version: 1.4.0
servers:
  - url: https://api.mailchannels.net/tx/v1
security: []
tags:
  - name: Send
  - name: DKIM
  - name: Metrics
  - name: Sub-accounts
  - name: Suppression
  - name: Webhooks
  - name: Usage
  - name: Custom Tracking
paths:
  /sub-account/{handle}/limit:
    delete:
      tags:
        - Sub-accounts
      summary: Delete Sub-account Limit
      description: |
        Deletes the limit for the specified sub-account.
        After a successful deletion, the specified sub-account will be
        limited to the parent account's limit.
      parameters:
        - description: Handle of the sub-account to delete limit for.
          in: path
          name: handle
          required: true
          schema:
            type: string
        - in: header
          name: X-Api-Key
          required: true
          schema:
            type: string
      responses:
        '204':
          description: The limit was successfully deleted for the sub-account.
        '500':
          description: An unexpected internal error occurred.
      x-codeSamples:
        - label: Node.js
          lang: javascript
          source: >-
            import { MailChannels } from "mailchannels-sdk";


            const { PARENT_API_KEY, SUB_ACCOUNT_HANDLE } = process.env;

            if (!PARENT_API_KEY) throw new Error("Set PARENT_API_KEY (a
            parent-account API key) before running");

            if (!SUB_ACCOUNT_HANDLE) throw new Error("Set SUB_ACCOUNT_HANDLE
            (the sub-account whose limit you want to clear)");


            const mailchannels = new MailChannels(PARENT_API_KEY);


            const { success, error } = await
            mailchannels.subAccounts.deleteLimit(SUB_ACCOUNT_HANDLE);


            if (!success) {
              console.error("Delete sub-account limit failed:", error);
              process.exit(1);
            }

            console.log({ success });
        - label: Python
          lang: python
          source: |-
            import os
            import sys

            import mailchannels

            parent_api_key = os.environ.get("PARENT_API_KEY")
            handle = os.environ.get("SUB_ACCOUNT_HANDLE")
            if not parent_api_key:
                sys.exit("Set PARENT_API_KEY (a parent-account API key) before running")
            if not handle:
                sys.exit("Set SUB_ACCOUNT_HANDLE (the sub-account whose limit you want to clear)")

            mailchannels.api_key = parent_api_key

            response = mailchannels.SubAccounts.Limits.delete(handle)

            print(response)
        - label: PHP
          lang: php
          source: >-
            <?php


            require_once __DIR__ . '/vendor/autoload.php';


            use MailChannels\Client;


            $parent_api_key     = getenv('PARENT_API_KEY') or exit("Error:
            PARENT_API_KEY is not set\n");

            $sub_account_handle = getenv('SUB_ACCOUNT_HANDLE') or exit("Error:
            SUB_ACCOUNT_HANDLE is not set\n");


            $client = new Client(apiKey: $parent_api_key);


            $response =
            $client->subAccounts->limits->delete($sub_account_handle);


            print_r($response->toArray());

````